aboutsummaryrefslogtreecommitdiffstats
path: root/astro/boinc-setiathome-v8/files/pkg-deinstall.in
diff options
context:
space:
mode:
Diffstat (limited to 'astro/boinc-setiathome-v8/files/pkg-deinstall.in')
-rw-r--r--astro/boinc-setiathome-v8/files/pkg-deinstall.in26
1 files changed, 26 insertions, 0 deletions
diff --git a/astro/boinc-setiathome-v8/files/pkg-deinstall.in b/astro/boinc-setiathome-v8/files/pkg-deinstall.in
new file mode 100644
index 000000000000..c2b6d27a0ca7
--- /dev/null
+++ b/astro/boinc-setiathome-v8/files/pkg-deinstall.in
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# $FreeBSD$
+
+if [ "$2" != "POST-DEINSTALL" ]; then
+ exit 0
+fi
+
+F=%%BOINC_CLIENT_HOME%%/projects/%%SETI_SITE%%/app_info.xml
+echo Removing setiathome_v7 lines from $F
+
+l=`grep -n "<name>setiathome_v8</name>" $F | cut -f 1 -d :`
+if [ $? -ne 0 ]; then
+ echo $F is corrupt
+ exit 1
+fi
+l1=$(($l-1))
+l2=$(($l+13))
+sed -i.bak "${l1},${l2}d" $F # sed wants the braces
+rm $F.bak
+
+l=`wc -l $F | cut -f 1 -d / | sed 's/ //g'`
+if [ $l -eq 2 ]; then
+ echo Removing empty $F
+ rm $F
+fi
no version update, and the patcheskris2000-04-301-0/+2 * Update with the new PORTNAME/PORTVERSION variablescpiazza2000-04-101-3/+3 * Remove andy@icc.surw.chel.su as maintainer from his ports..he doesn'tkris2000-03-291-1/+1 * $Id$ -> $FreeBSD$peter1999-08-311-1/+1 * #4/4 enforcing Caps, no periodhoek1999-06-271-1/+1 * Too many WWW:'s in the world, too many WWW:'s take one down and pass itmharo1999-05-031-1/+1 * Update to version 0.4.steve1999-03-257-52/+98 * Unbreak by using gmake(1).steve1998-10-201-3/+2 * Mark BROKEN for ELF:jseger1998-10-151-1/+3 * Remove regexp support libEZ library.steve1998-10-051-2/+2 * jpeg is now converted to ELF so change LIB_DEPENDS lines accordingly.asami1998-09-151-2/+2 * These files no longer have manpages in them.hoek1998-08-201-1/+0